From b85dbcf6b910c0c729594916d1ccb717083c1d06 Mon Sep 17 00:00:00 2001
From: Sven Willenbuecher <sven.willenbuecher@kuehne-nagel.com>
Date: Thu, 23 Dec 2021 14:11:21 +0100
Subject: [PATCH 3/4] use new GREP_COLOR_OPTION macro variable

---
 src/password-store.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/password-store.sh b/src/password-store.sh
index 4657145..3da3a61 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -246,6 +246,7 @@ GETOPT="getopt"
 SHRED="shred -f -z"
 BASE64="base64"
 VERBOSE_MODE="-v"
+GREP_COLOR_OPTION="--color=always"
 
 source "$(dirname "$0")/platform/$(uname | cut -d _ -f 1 | tr '[:upper:]' '[:lower:]').sh" 2>/dev/null # PLATFORM_FUNCTION_FILE
 
@@ -422,7 +423,7 @@ cmd_grep() {
 	[[ $# -lt 1 ]] && die "Usage: $PROGRAM $COMMAND [GREPOPTIONS] search-string"
 	local passfile grepresults
 	while read -r -d "" passfile; do
-		grepresults="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | grep --color=always "$@")"
+		grepresults="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | grep $GREP_COLOR_OPTION "$@")"
 		[[ $? -ne 0 ]] && continue
 		passfile="${passfile%.gpg}"
 		passfile="${passfile#$PREFIX/}"
-- 
2.20.1

